Package org.eclipse.net4j.util.ui.security

## Class CredentialsResetDialog

- java.lang.Object
- - org.eclipse.jface.window.Window
  - - org.eclipse.jface.dialogs.Dialog
    - - org.eclipse.jface.dialogs.TrayDialog
      - - org.eclipse.jface.dialogs.TitleAreaDialog
        - - org.eclipse.net4j.util.ui.widgets.BaseDialog<Viewer>
          - - org.eclipse.net4j.util.ui.security.CredentialsDialog
            - - org.eclipse.net4j.util.ui.security.CredentialsResetDialog

- All Implemented Interfaces:
    `IShellProvider`

      public class CredentialsResetDialog
      extends CredentialsDialog

  Since:
    3.4
  Author:
    Christian W. Damus (CEA LIST)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.jface.window.Window

      `Window.IExceptionHandler`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.net4j.util.ui.widgets.BaseDialog

      `DEFAULT_SHELL_STYLE`

    - ### Fields inherited from class org.eclipse.jface.dialogs.TitleAreaDialog

      `DLG_IMG_TITLE_BANNER, DLG_IMG_TITLE_ERROR, INFO_MESSAGE, WARNING_MESSAGE`

    - ### Fields inherited from class org.eclipse.jface.dialogs.Dialog

      `blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, dialogArea, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

    - ### Fields inherited from class org.eclipse.jface.window.Window

      `CANCEL, OK, resizeHasOccurred`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CredentialsResetDialog​(Shell shell, java.lang.String userID)` |
    `CredentialsResetDialog​(Shell shell, java.lang.String realm, java.lang.String userID)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected IPasswordCredentials` | `createCredentials​(java.lang.String userID, char[] password)` |
    `IPasswordCredentialsUpdate` | `getCredentials()` |

    - ### Methods inherited from class org.eclipse.net4j.util.ui.security.CredentialsDialog

      `configureShell, configureShell, createButtonBar, createCredentialsArea, createUI, createUserIDControl, getInitialUserID, getRealm, loadUsers, okPressed, saveUsers`

    - ### Methods inherited from class org.eclipse.net4j.util.ui.widgets.BaseDialog

      `close, createDialogArea, fillContextMenu, getCurrentViewer, getDialogBoundsSettings, getDialogSettings, getDialogSettings, hookContextMenu, setCurrentViewer`

    - ### Methods inherited from class org.eclipse.jface.dialogs.TitleAreaDialog

      `createContents, getErrorMessage, getInitialSize, getMessage, getTitleArea, getTitleImageLabel, setErrorMessage, setMessage, setMessage, setTitle, setTitleAreaColor, setTitleImage`

    - ### Methods inherited from class org.eclipse.jface.dialogs.TrayDialog

      `closeTray, createHelpControl, getLayout, getTray, handleShellCloseEvent, isDialogHelpAvailable, isHelpAvailable, openTray, setDialogHelpAvailable, setHelpAvailable`

    - ### Methods inherited from class org.eclipse.jface.dialogs.Dialog

      `applyDialogFont, buttonPressed, cancelPressed, convertHeightInCharsToPixels, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, convertWidthInCharsToPixels, create, createButton, createButtonsForButtonBar, dialogFontIsDefault, getBlockedHandler, getButton, getButtonBar, getCancelButton, getDialogArea, getDialogBoundsStrategy, getImage, getInitialLocation, getOKButton, initializeBounds, initializeDialogUnits, isResizable, setBlockedHandler, setButtonLayoutData, setButtonLayoutFormData, shortenText`

    - ### Methods inherited from class org.eclipse.jface.window.Window

      `canHandleShellCloseEvent, constrainShellSize, createShell, getConstrainedShellBounds, getContents, getDefaultImage, getDefaultImages, getDefaultOrientation, getParentShell, getReturnCode, getShell, getShellListener, getShellStyle, getWindowManager, handleFontChange, open, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setParentShell, setReturnCode, setShellStyle, setWindowManager`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CredentialsResetDialog

          public CredentialsResetDialog​(Shell shell,
                                        java.lang.String userID)

    - #### CredentialsResetDialog

          public CredentialsResetDialog​(Shell shell,
                                        java.lang.String realm,
                                        java.lang.String userID)

  - ### Method Detail

    - #### getCredentials

          public IPasswordCredentialsUpdate getCredentials()

      Overrides:
        `getCredentials` in class `CredentialsDialog`

    - #### createCredentials

          protected IPasswordCredentials createCredentials​(java.lang.String userID,
                                                           char[] password)

      Overrides:
        `createCredentials` in class `CredentialsDialog`